Page MenuHomePhabricator

terbium et al - php-luasandbox must install without errors and luasandbox must be enabled
Closed, ResolvedPublic

Description

on terbium: DPKG CRITICAL dpkg reports broken packages

[terbium:~] $ dpkg -l | grep -v ^ii
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                             Version                             Description
+++-================================-===================================-==============================================================================
rc  mlocate                          0.23.1-1ubuntu2                     quickly find files on the filesystem based on their name
iF  php-luasandbox                   2.0.9                               Lua extension for PHP
rc  php5-fpm                         5.3.10-1ubuntu3.6                   server-side, HTML-embedded scripting language (FPM-CGI binary)
rc  timidity-daemon                  2.13.2-40build2                     runs TiMidity++ as a system-wide MIDI sequencer
rc  wikimedia-task-appserver         2.9-1                               Wikimedia application server

i ran an apt-get upgrade here today and:

13:24 < mutante> i upgraded terbium, php-luasandbox fails because it uses php5enmod and php5dismod in pre/post install scripts
13:24 < mutante> "php5enmod was introduced in Debian in version 5.4.0~rc6-2 of the package php5"
13:24 < mutante> would have to upgrade php5 to a 5.4 version ..
13:24 < mutante> but don't have it here

http://askubuntu.com/questions/495920/php5enmod-returns-command-not-found#496160

Event Timeline

Dzahn created this task.Jun 5 2015, 11:28 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn added a subscriber: Dzahn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 11:28 PM
chasemp triaged this task as Medium priority.Jun 8 2015, 1:09 PM
chasemp added a subscriber: chasemp.
Joe added a subscriber: Joe.Jun 9 2015, 11:12 AM

Fix for this has already been implemented here:

https://phabricator.wikimedia.org/rMLUSa49ac57b50c820754363c72a2a74143fffc5c32a

but we clearly didn't rebuild the package afterwards.

Joe closed this task as Resolved.Jun 9 2015, 2:30 PM
Joe claimed this task.
Joe set Security to None.
Mattflaschen-WMF reopened this task as Open.Jun 10 2015, 4:26 AM

It still needs to be enabled, just not through php5enmod.

Mattflaschen-WMF renamed this task from terbium - dpkg reports broken packages to terbium et al - php-luasandbox must install without errors and luasandbox must be enabled.Jun 10 2015, 4:34 AM
akosiaris closed this task as Resolved.Jun 29 2015, 6:57 PM
akosiaris added a subscriber: akosiaris.

This bug has been fixed in 2.0.10. I just ran

apt-get install php-luasandbox

on terbium, 2.0.11precise1 got installed just fine. I am resolving this, feel free to reopen

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 6:57 PM